Firefox plug-in

Forum: Multimedia
Topic: Firefox plug-in
started by: GbMax78

Posted by GbMax78 on Aug. 14 2008,12:36
I have a notebook with Debian Lenny, for me, and another one with the latest DSL for my nephew.

I need to install multimedia plug-in on Firefox to see Disney web site, etc. but I haven't understand where i must start on DSL !

On Iceweasel, on Debian Lenny, I have MozPlugger 1.10.2, Shockwave Flash 9.0 r124

Thank you !
GbMax78 :)

Posted by ^thehatsrule^ on Aug. 14 2008,18:43
You'll probably need to install some version of Flash.
(v7 is easier to install if that works for you, but v9 can be installed should you require it)

Posted by GbMax78 on Aug. 14 2008,19:34
Thank you for your reply !

I'd like to install Flash v.9 but I don't know where I can start...

I have find a link < > it is correct ? There is a best way to install Flash on DSL ?


Posted by ^thehatsrule^ on Aug. 15 2008,01:54
Don't know if there is a how-to guide out there.  It looks like that site that you posted copied some parts of this forum and it doesn't really make sense.  I'm not sure why.

In general I think you'll need gtk2, a compatible browser (i.e. firefox-gtk2), an updated version of the glibc (2.3.2 with extra patches, or 2.3.6?), and flash 9 itself.

Posted by GbMax78 on Aug. 15 2008,08:59
I have read on this forum, about Flash Player 9, old problem about update gtk2 with browser crash etc.

The right version for DSL, for me, is only Flash 7...


Posted by ^thehatsrule^ on Aug. 15 2008,18:26
If you looked more into it, the fix is to use an updated glibc as I stated in my previous post.

But again I'll point out that v7 is much easier to install.

Posted by GbMax78 on Aug. 16 2008,13:25
I have find Flash Player 7 here: < > because on the official site i haven't find this version...

root@box:/home/dsl# tar -zxvf flash_player_7_linux.tar.gz

And after:

root@box:/home/dsl# cd install_flash_player_7_linux/
root@box:/home/dsl/install_flash_player_7_linux# ./flashplayer-installer
Copyright© 2002-2003 Macromedia, Inc.  All rights reserved.

Macromedia Flash Player 7 for Linux

Macromedia Flash Player 7 will be installed on this machine.

You are running the Macromedia Flash Player installer as the "root" user.
Macromedia Flash Player 7 will be installed system-wide.

Support is available at < >

To install Macromedia Flash Player 7 now, press ENTER.

To cancel the installation at any time, press Control-C.

NOTE: Macromedia Flash Player requires two font packages
     to be installed, gsfonts and gsfonts-x11.

Press ENTER to continue...

NOTE: Please exit any browsers you may have running.

Press ENTER to continue...

Please enter the installation path of the Mozilla, Netscape,
or Opera browser (i.e., /usr/lib/mozilla):

Now i haven't understand what kind of path i need !


Posted by humpty on Aug. 17 2008,20:00
Powered by Ikonboard 3.1.2a
Ikonboard © 2001 Jarvis Entertainment Group, Inc.